Bug 1668 - snmpd MUST HAVE rw access to /var/lib/ucd-snmp
: snmpd MUST HAVE rw access to /var/lib/ucd-snmp
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ucd-snmp)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-05 08:18 by
Modified: 2007-01-30 10:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-05 08:18:04
Не работает механизм запуска внешних скриптов. Вернее, работает, но не так как
ожидается. Воспроизвести можно следующим образом: после установки добавить в
/etc/snmp/snmpd.conf строку:
exec .1.3.6.1.4.1.2021.51 ps /bin/ps

и выполнить запрос:

snmpwalk -v 1 localhost public .1.3.6.1.4.1.2021.51

В ответ (в моем случае) выдается куча пустых ответов и по команде \'ps ax\'
видна куча zombi-процессов ps.

Проблема в том, что демон не может создать файл
/var/lib/ucd-snmp/.snmp-exec-cache - не хватает прав.
Разрешение записи для пользователя snmp в вышеуказанный каталог проблему
решило.
---

---
------- Comment #1 From 2002-12-23 13:16:49 -------
Примечание: Пакет не входит в дистрибутив (сейчас в contrib). Для попадания
туда ошибка должна быть исправлена
------- Comment #2 From 2002-12-23 13:16:49 -------
Примечание: Пакет не входит в дистрибутив (сейчас в contrib). Для попадания
туда ошибка должна быть исправлена
------- Comment #3 From 2003-01-20 13:16:46 -------
fixed (ucd-snmp-4.2.3-alt8 )
------- Comment #4 From 2003-01-20 13:16:46 -------
fixed (ucd-snmp-4.2.3-alt8 )
------- Comment #5 From 2007-01-30 10:10:05 -------
Хренассе, какой старый баг.
Закрываю.